Bug 463733 - libvirt update to 0.4.6-1 prevents virt-manager from starting
libvirt update to 0.4.6-1 prevents virt-manager from starting
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 08:33 EDT by Torsten Rausche
Modified: 2009-06-27 11:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 02:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Torsten Rausche 2008-09-24 08:33:49 EDT
Description of problem:
After updating to libvirt 0.4.6-1.fc9 I can not start virt-manager anymore. It crashs while starting:

$ virt-manager --no-fork
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 310, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager.py", line 260, in main
    config = vmmConfig(appname, appversion, gconf_dir, glade_dir, icon_dir, data_dir)
  File "/usr/share/virt-manager/virtManager/config.py", line 61, in __init__
    libvirt.VIR_DOMAIN_BLOCKED: gtk.gdk.pixbuf_new_from_file_at_size(self.get_icon_dir() + "/state_blocked.png", 18, 18),
AttributeError: 'module' object has no attribute 'VIR_DOMAIN_BLOCKED'


Version-Release number of selected component (if applicable):
libvirt-0.4.6-1.fc9.x86_64
libvirt-python-0.4.6-1.fc9.x86_64
virt-manager-0.5.4-4.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Update libvirt to version 0.4.6-1.fc9
2. Start virt-manager
  
Actual results:
Virt-manager crashs

Expected results:
Virt-manager starts fine as with previous libvirt versions
Comment 1 Daniel Berrange 2008-09-24 08:57:57 EDT
libvirt.py is missing all the constants, only on x86_64 packages.

It appears that parallelized make broke things

On the i386 logs i see

Making all in .
make[3]: Entering directory `/builddir/build/BUILD/libvirt-0.4.6/python'
/usr/bin/python ./generator.py .
/usr/bin/python ./generator.py .
/usr/bin/python ./generator.py .
/usr/lib/python2.5/xmllib.py:9: DeprecationWarning: The xmllib module is obsolete.  Use xml.sax instead.
  warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", DeprecationWarning)
/usr/lib/python2.5/xmllib.py:9: DeprecationWarning: The xmllib module is obsolete.  Use xml.sax instead.
  warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", DeprecationWarning)
/usr/lib/python2.5/xmllib.py:9: DeprecationWarning: The xmllib module is obsolete.  Use xml.sax instead.
  warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", DeprecationWarning)
Found 134 functions in libvirt-api.xml
Found 1 functions in libvirt-python-api.xml
Generated 125 wrapper functions
Missing type converters: 
Found 134 functions in libvirt-api.xml
Found 1 functions in libvirt-python-api.xml
Generated 125 wrapper functions
Missing type converters: 
Found 134 functions in libvirt-api.xml
Found 1 functions in libvirt-python-api.xml
Generated 125 wrapper functions
Missing type converters: 
cat ./libvir.py libvirtclass.py > libvirt.py-t





On x86_64 i see


Making all in .
make[3]: Entering directory `/builddir/build/BUILD/libvirt-0.4.6/python'
/usr/bin/python ./generator.py .
/usr/bin/python ./generator.py .
/usr/bin/python ./generator.py .
/usr/lib64/python2.5/xmllib.py:9: DeprecationWarning: The xmllib module is obsolete.  Use xml.sax instead.
  warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", DeprecationWarning)
/usr/lib64/python2.5/xmllib.py:9: DeprecationWarning: The xmllib module is obsolete.  Use xml.sax instead.
  warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", DeprecationWarning)
/usr/lib64/python2.5/xmllib.py:9: DeprecationWarning: The xmllib module is obsolete.  Use xml.sax instead.
  warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", DeprecationWarning)
Found 134 functions in libvirt-api.xml
Found 1 functions in libvirt-python-api.xml
Generated 125 wrapper functions
Missing type converters: 
Found 134 functions in libvirt-api.xml
Found 1 functions in libvirt-python-api.xml
Generated 125 wrapper functions
Missing type converters: 
cat ./libvir.py libvirtclass.py > libvirt.py-t
mv libvirt.py-t libvirt.py
Found 134 functions in libvirt-api.xml
Found 1 functions in libvirt-python-api.xml
Generated 125 wrapper functions
Missing type converters: 



Notice that it started generating 'libvirt.py' while the generate.py was still running, hence missing the constants.

A re-build of the package might fix it if we're lucky with timing.
Comment 2 Daniel Berrange 2008-09-24 09:12:59 EDT
In the python/makefile.am it really needs to change

libvirt.py: $(srcdir)/libvir.py libvirtclass.py


to 

libvirt.py: $(srcdir)/libvir.py $(GENERATED)

to ensure that make waits for the generator to finish before creating libvirt.py
Comment 3 Fedora Update System 2008-09-24 09:42:21 EDT
libvirt-0.4.6-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libvirt-0.4.6-2.fc9
Comment 4 Daniel Veillard 2008-09-24 09:42:55 EDT
okay I pushed a new build with the patch and it came out okay that
time:

wei:~/libvirt -> grep VIR_DOMAIN_BLOCKED
/usr/lib64/python2.5/site-packages/libvirt.py
VIR_DOMAIN_BLOCKED = 2
wei:~/libvirt -> rpm -qf /usr/lib64/python2.5/site-packages/libvirt.py
libvirt-python-0.4.6-2.fc9.x86_64
wei:~/libvirt ->

Daniel
Comment 5 Fedora Update System 2008-09-28 14:41:11 EDT
libvirt-0.4.6-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8424
Comment 6 Fedora Update System 2008-10-01 02:40:06 EDT
libvirt-0.4.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.